Api Documentation

Files

Creates a new specified image and places it in the right context.
Json
XML
POST https://api.bundeling.com/V2/files

Parameters

Body

NameDescriptionTypeNillableRequired
typeThe type of image being created
Accepted values: ad_campaigns, appcms_file, bulletinboard_file, bulletinboard_picture, chat_picture, club_logo, customer_logo, event_picture, event_header_image, form_field_data, page_layout_image, page_layout_component_image, user_profile, poll_header_image, news_header_image
stringfalsetrue
subtypeThe subtype of form_data being created
Accepted values: file, image
stringfalsefalse
uuidThe unique identifier of the object the image will be appended tostringfalsetrue
filenameThe name of the filestringfalsetrue
contentThe base64 encoded imagemixedfalsetrue

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "type": "event_picture",
    "subtype": "form_data_file",
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "filename": "event12image.jpg",
    "content": "o5jibgJpYFoiJtw4oij453094uE534lkjseofj..."
}

Example response

{
    "id": "23oihj23ioerfjkWTzEo5tj4oi5jto4i5jt6yazRaTYIOJ",
    "type": "event_picture",
    "uuid": "23oihj23ioerfjkWTzEo5tj4oi5jto4i5jt6yazRaTYIOJ",
    "filename": "test.jpg",
    "status": "Created successfully"
}